Skip to main content
PATCH
/
api
/
v1
/
portfolios
/
{id}
/
Partial Update
curl --request PATCH \
  --url https://api.main.apexscore.ai/api/v1/portfolios/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "survey_config_confirmed": false,
  "audience_interacts_with_staff": true,
  "audience_pays_directly": true,
  "color_primary": "<string>",
  "industries": [],
  "logo": "<string>"
}
'
import requests

url = "https://api.main.apexscore.ai/api/v1/portfolios/{id}/"

payload = {
"name": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"survey_config_confirmed": False,
"audience_interacts_with_staff": True,
"audience_pays_directly": True,
"color_primary": "<string>",
"industries": [],
"logo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
organization_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
survey_config_confirmed: false,
audience_interacts_with_staff: true,
audience_pays_directly: true,
color_primary: '<string>',
industries: [],
logo: '<string>'
})
};

fetch('https://api.main.apexscore.ai/api/v1/portfolios/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
organization_id
string<uuid>
write-only
survey_config_confirmed
boolean
default:false
audience_fee_language
enum<string>
  • fees - fees
  • prices - prices
Available options:
fees,
prices
audience_interacts_with_staff
boolean
write-only
audience_pays_directly
boolean
write-only
audience_type_str
enum<string>
  • customers - customers
  • employees - employees
  • donors - donors
  • media - media
  • gathering 2024 lecturees - gathering 2024 lecturees
Available options:
customers,
employees,
donors,
media,
gathering 2024 lecturees
purpose
enum<string>

A value determining the intended purpose of the portfolio. Is this for yourself, or for a client?

  • organization - My Organization
  • client - Client
  • secondary_brand - Secondary Brand
Available options:
organization,
client,
secondary_brand
color_primary
string
industries
enum<string>[]
  • agriculture - agriculture
  • construction - construction
  • digital_banking - digital_banking
  • education - education
  • energy - energy
  • entertainment - entertainment
  • financial_services - financial_services
  • food - food
  • healthcare - healthcare
  • hospitality - hospitality
  • it_service - it_service
  • manufacturing - manufacturing
  • media_production - media_production
  • mining - mining
  • not_for_profit - not_for_profit
  • pharmaceutical - pharmaceutical
  • professional_services - professional_services
  • retail - retail
  • technology - technology
  • telecommunications - telecommunications
  • transport - transport
  • other - other
Available options:
agriculture,
construction,
digital_banking,
education,
energy,
entertainment,
financial_services,
food,
healthcare,
hospitality,
it_service,
manufacturing,
media_production,
mining,
not_for_profit,
pharmaceutical,
professional_services,
retail,
technology,
telecommunications,
transport,
other

Response

200 - application/json
id
string<uuid>
required
read-only
name
string